%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	JSON-XS


Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	JSON::XS - JSON serialising/deserialising, done correctly and fast
Name:		perl-%{perlname}
Version:	1.5
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=JSON+XS
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	cairo-devel

%description
This module converts Perl data structures to JSON and 
vice versa. Its primary goal is to be correct and its 
secondary goal is to be fast. To reach the latter goal 
it was written in C.

As this is the n-th-something JSON module on CPAN, what 
was the reason to write yet another JSON module? While it 
seems there are many JSON modules, none of them correctly 
handle all corner cases, and in most cases their maintainers 
are unresponsive, gone missing, or not listening to bug 
reports for other reasons.

For more details see: http://search.cpan.org/search?module=JSON+XS

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.5-3
- cleanup spec file
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.5-2
- rebuild against new perl 5.10.0
* Mon Oct 08 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.5-1
- Initial Release
